# Class BrightcoveKeySystem

#####
Index

### Constructors

constructor

### Properties

certificateUrl
keyRequestUrl
licenseUrl

### Methods

mapToSourceKeySystem

## Constructors

### constructor

- new BrightcoveKeySystem(keySystemDto): BrightcoveKeySystem

- #### Parameters

  - keySystemDto: KeySystemDto

  #### Returns BrightcoveKeySystem

## Properties

### `Readonly` certificateUrl

certificateUrl: string

### `Readonly` keyRequestUrl

keyRequestUrl: string

### `Readonly` licenseUrl

licenseUrl: string

## Methods

### mapToSourceKeySystem

- mapToSourceKeySystem(keySystem): KeySystemConfig

- #### Parameters

  - keySystem: string

  #### Returns KeySystemConfig